
Foreman - Bug #9720

APIv1 subnets "ipam" documentation is inconsistent with v2

03/12/2015 08:09 AM - Dominic Cleal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2272

  

Description

The APIv1 subnets documentation for the "ipam" attribute says it's a bool, but it's actually a string. The APIv2 docs are correct and

just need copying to v1.

https://github.com/theforeman/foreman/blob/1.8.0-RC1/app/controllers/api/v1/subnets_controller.rb#L33

https://github.com/theforeman/foreman/blob/1.8.0-RC1/app/controllers/api/v2/subnets_controller.rb#L36

History

#1 - 03/29/2015 09:07 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2272 added

- Pull request deleted ()

#2 - 03/29/2015 09:42 AM - Marek Hulán

This was changed as part of #6444, as suggested in PR we should probably introduce a compatibility layer in v1 controller rather than copying the

same definition. Maybe we shouldn't have changed it in v2 either.

#3 - 04/05/2016 09:57 AM - Tomer Brisker

- Status changed from Ready For Testing to New

#4 - 12/10/2017 08:53 AM - Tomer Brisker

- Status changed from New to Rejected

API v1 is deprecated. Closing.
